#!/usr/bin/python3

import amulet
import requests

seconds = 20000

d = amulet.Deployment(series='trusty')

d.add('kibana')
d.add('elasticsearch')

d.configure('kibana', {'port': 81})

d.add_unit('elasticsearch', 2)

d.relate('kibana:rest', 'elasticsearch:client')

d.expose('kibana')

try:
    d.setup(timeout=seconds)
except amulet.helpers.TimeoutError:
    amulet.raise_status(amulet.SKIP, msg="Environment wasn't stood up in time")
except:
    raise


def test_web_interface():
    kibana_unit = d.sentry['kibana'][0]
    url = 'http://%s:81/' % kibana_unit.info['public-address']
    r = requests.get(url)
    if not r.ok:
        amulet.raise_status(amulet.FAIL,
                            msg="Error getting kibana page.")


test_web_interface()
